Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-11275

Don't import mpi when using a different batch system

    XMLWordPrintable

    Details

    • Type: Story
    • Status: Won't Fix
    • Resolution: Done
    • Fix Version/s: None
    • Component/s: pipe_drivers
    • Labels:
      None

      Description

      When running pipe_drivers scripts such as constructBias with --batch-type none (or in general any non-MPI backend) you still need to import mpi (which can fail all too easily).

      Please change pipe_drivers to that only the requested batch type is loaded.

        Attachments

          Activity

          Hide
          dtaranu Dan Taranu added a comment -

          I believe that this is a gen2-only problem that won't be fixed. Robert Lupton if this is still relevant to gen3/pipetask run can you re-open with a reproducible example?

          Show
          dtaranu Dan Taranu added a comment - I believe that this is a gen2-only problem that won't be fixed. Robert Lupton if this is still relevant to gen3/ pipetask run can you re-open with a reproducible example?

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            rhl Robert Lupton
            Watchers:
            Dan Taranu, Robert Lupton
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Jenkins Builds

                No builds found.